<?php
/**
 * @file
 * Defines context provider collecting page manager context from path.
 */

/**
 * Collect arguments and contexts from current menu router item path.
 *
 * Use this context provider when rendering page manager node view tasks.
 */
class AuthcachePageManagerNodeViewTaskContextProvider extends AuthcachePageManagerDefaultTaskContextProvider {
  /**
   * {@inheritdoc}
   *
   * Adapted from page_manager node_view.inc.
   *
   * @see page_manager_node_view_page()
   */
  protected function taskContext(array $page_arguments = array()) {
    $node = array_shift($page_arguments);

    $contexts = ctools_context_handler_get_task_contexts($this->task, '', array($node));

    return array(
      'context' => $contexts,
      'arguments' => array($node->nid),
    );
  }
}
